# fchk

`psi4.driver.``fchk`(wfn, filename)

  Function to write wavefunction information in wfn to filename in Gaussian FCHK format.

  New in version 0.6.

  Returns: | None

  Parameters:

  - filename (string) – destination file name for FCHK file
  - wfn (`Wavefunction`) – set of molecule, basis, orbitals from which to generate fchk file

  Notes

  - A description of the FCHK format is http://wild.life.nctu.edu.tw/~jsyu/compchem/g09/g09ur/f_formchk.htm
  - The allowed headers for methods are general and limited, i.e., “Total SCF|MP2|CI|CC Density”, so “CC” is always used for the post-HF case.

  Examples: |

      >>> # [1] FCHK file for DFT calculation
      >>> E, wfn = energy('b3lyp', return_wfn=True)
      >>> fchk(wfn, 'mycalc.fchk')